Bug 503565 - libtorrent-rasterbar won't compile, internal compiler error: in make_rtl_for_nonlocal_decl
libtorrent-rasterbar won't compile, internal compiler error: in make_rtl_for_...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.5
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 14:24 EDT by Mike Lowe
Modified: 2011-01-13 18:57 EST (History)
2 users (show)

See Also:
Fixed In Version: gcc-4.1.2-49.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source stored into /tmp/ccuAqAlB.out file, please attach this to your bugreport. (4.54 MB, application/octet-stream)
2009-06-01 14:24 EDT, Mike Lowe
no flags Details

  None (edit)
Description Mike Lowe 2009-06-01 14:24:46 EDT
Created attachment 346114 [details]
Preprocessed source stored into /tmp/ccuAqAlB.out file, please attach this to your bugreport.

Description of problem:

libtorrent-rasterbar won't compile

Version-Release number of selected component (if applicable):

gcc-4.1.2-44.el5
compat-libgcc-296-2.96-138
libgcc-4.1.2-44.el5
gcc-c++-4.1.2-44.el5


How reproducible:
very

Steps to Reproduce:
1. install boost
2. compile libtorrent-rasterbar-0.14.[34]
3.
  
Actual results:
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC -fPIC -I../../include -I../../include/libtorrent -I/usr/local/include/boost-1_39 -I/usr/include/openssl -I/usr/include/python2.4 -c src/extensions.cpp -o build/temp.linux-i686-2.4/src/extensions.o -DTORRENT_USE_OPENSSL -DTORRENT_LINKING_SHARED -DHAVE_SSL -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION
/usr/local/include/boost-1_39/boost/type_traits/detail/cv_traits_impl.hpp: In instantiation of ‘const bool boost::detail::cv_traits_imp<<unnamed>::torrent_plugin_wrap*>::is_const’:
/usr/local/include/boost-1_39/boost/type_traits/is_const.hpp:57:   instantiated from ‘boost::is_const<<unnamed>::torrent_plugin_wrap>’
/usr/local/include/boost-1_39/boost/python/detail/cv_category.hpp:31:   instantiated from ‘boost::python::detail::cv_category<<unnamed>::torrent_plugin_wrap>’
/usr/local/include/boost-1_39/boost/python/detail/unwind_type.hpp:58:   instantiated from ‘typename Generator::result_type boost::python::detail::unwind_ptr_type(U*, Generator*) [with Generator = boost::python::converter::detail::unwind_type_id_helper, U = <unnamed>::torrent_plugin_wrap]’
/usr/local/include/boost-1_39/boost/python/detail/unwind_type.hpp:127:   instantiated from ‘static typename Generator::result_type boost::python::detail::unwind_helper2<2>::execute(U& (*)(), Generator*) [with Generator = boost::python::converter::detail::unwind_type_id_helper, U = <unnamed>::torrent_plugin_wrap]’
/usr/local/include/boost-1_39/boost/python/detail/unwind_type.hpp:165:   instantiated from ‘typename Generator::result_type boost::python::detail::unwind_type(boost::type<U>*, Generator*) [with Generator = boost::python::converter::detail::unwind_type_id_helper, U = <unnamed>::torrent_plugin_wrap&]’
/usr/local/include/boost-1_39/boost/python/converter/pytype_function.hpp:45:   instantiated from ‘boost::python::type_info boost::python::converter::detail::unwind_type_id_(boost::type<R>*, mpl_::false_*) [with T = <unnamed>::torrent_plugin_wrap&]’
/usr/local/include/boost-1_39/boost/python/converter/pytype_function.hpp:68:   instantiated from ‘static const PyTypeObject* boost::python::converter::expected_pytype_for_arg<T>::get_pytype() [with T = <unnamed>::torrent_plugin_wrap&]’
/usr/local/include/boost-1_39/boost/python/detail/signature.hpp:98:   instantiated from ‘static const boost::python::detail::signature_element* boost::python::detail::signature_arity<1u>::impl<Sig>::elements() [with Sig = boost::mpl::vector2<bool, <unnamed>::torrent_plugin_wrap&>]’
/usr/local/include/boost-1_39/boost/python/detail/caller.hpp:232:   instantiated from ‘static boost::python::detail::py_func_sig_info boost::python::detail::caller_arity<1u>::impl<F, Policies, Sig>::signature() [with F = bool (<unnamed>::torrent_plugin_wrap::*)(), Policies = boost::python::default_call_policies, Sig = boost::mpl::vector2<bool, <unnamed>::torrent_plugin_wrap&>]’
/usr/local/include/boost-1_39/boost/python/object/py_function.hpp:48:   instantiated from ‘boost::python::detail::py_func_sig_info boost::python::objects::caller_py_function_impl<Caller>::signature() const [with Caller = boost::python::detail::caller<bool (<unnamed>::torrent_plugin_wrap::*)(), boost::python::default_call_policies, boost::mpl::vector2<bool, <unnamed>::torrent_plugin_wrap&> >]’
src/extensions.cpp:168:   instantiated from here
/usr/local/include/boost-1_39/boost/type_traits/detail/cv_traits_impl.hpp:37: internal compiler error: in make_rtl_for_nonlocal_decl, at cp/decl.c:5067


Expected results:

successful compile

Additional info:
similar bug reported in multiple versions of fedora core
Comment 1 Jakub Jelinek 2010-04-16 15:12:58 EDT
Probably dup of #582682.
Comment 3 Jakub Jelinek 2010-09-27 02:32:44 EDT
In gcc-4.1.2-49.el5
Comment 8 errata-xmlrpc 2011-01-13 18:57:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0025.html

Note You need to log in before you can comment on or make changes to this bug.